Bug 972098 - ksvalidator says --nobase is deprecated and has no effect (it isn't and it does)
ksvalidator says --nobase is deprecated and has no effect (it isn't and it does)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 15:14 EDT by Chester Knapp
Modified: 2014-07-21 00:26 EDT (History)
11 users (show)

See Also:
Fixed In Version: pykickstart-1.99.35-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 15:34:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chester Knapp 2013-06-07 15:14:16 EDT
Description of problem: ksvalidator thinks --nobase has no effect on package selection. It does. 


Version-Release number of selected component (if applicable): pykickstart-1.99.22-1.fc18.noarch


How reproducible: 100%


Steps to Reproduce:
1. Add --nobase to %packages
2. ksvalidator ks.cfg


Actual results: Output is: 
[chester@localhost initrd]$ ksvalidator ks.cfg 
Ignoring deprecated option on line 29:  The --nobase option has been deprecated and no longer has any effect.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to remove this option.

Expected results: No such report. 


Additional info: Removing the --nobase option adds 150 packages to be installed.
Comment 1 Chester Knapp 2013-06-07 15:25:25 EDT
Also, this ks.cfg is being used to launch a RHEL 6.2 installation (but ksvalidator is being run on FC18).
Comment 2 Chester Knapp 2013-06-07 15:30:19 EDT
Rerunning with -v RHEL 6 also reproduces the issue:

[chester@localhost initrd]# ksvalidator -v RHEL6 ks.cfg
Ignoring deprecated option on line 29:  The --nobase option has been deprecated and no longer has any effect.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to remove this option.
Comment 3 Chris Lumens 2013-06-13 11:55:18 EDT
--nobase hasn't done anything since the following commit in anaconda:

commit 67aadec0d698764deb74d3021dd7373d64e69e12
Author: Bill Nottingham <notting@redhat.com>
Date:   Wed Sep 5 10:41:05 2012 -0400

    Drop the addBase handling in anaconda - if you want a group, list a group.
Comment 4 Chester Knapp 2013-06-13 12:38:25 EDT
This was using the following RHEL 6.2 ISO, which looks out of date:
RHEL6.2-20111117.0-Server-x86_64-DVD1.iso
Comment 5 David Shea 2013-07-22 11:54:47 EDT
--nobase is still present in RHEL6, but `ksvalidator --version=RHEL6' still displays the warning.
Comment 6 Chris Lumens 2013-07-23 17:34:39 EDT
Ah, I see.  Now to come up with a test case to make sure it doesn't happen again...
Comment 7 Fedora End Of Life 2013-12-21 10:47:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.